using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 人员试卷
    /// </summary>
    [Description("人员试卷")]
    public class T_SE_TRAIN_RECORD_TEXT : MesEntityBase
    {
        /// <summary>
        /// 培训记录
        /// </summary>
        [Description("培训记录")]
        [DataFieldForeignKey("Nav_Record")]
        public Guid RECORD_ID { get; set; }
        /// <summary>
        /// 导航: 培训记录
        /// </summary>
        [Description("导航: 培训记录")]
        public T_SE_TRAIN_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 试题
        /// </summary>
        [Description("试题")]
        public ICollection<T_SE_TRAIN_RECORD_PAPER> Nav_ListPaper { get; set; }

        /// <summary>
        /// 考试得分
        /// </summary>
        [Description("考试得分")]
        public int? SCORE { get; set; }

        /// <summary>
        /// 考试次数
        /// </summary>
        [Description("考试次数")]
        public int TEXT_TIMES { get; set; } = 1;

        /// <summary>
        /// 考试是否通过
        /// </summary>
        [Description("考试是否通过")]
        public bool? ISPASS { get; set; }
    }
}
